com.sun.jna.platform.win32

## Class Ddeml.MONERRSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.MONERRSTRUCT

- Enclosing interface:
    Ddeml

      @Structure.FieldOrder(value={"cb","wLastError","dwTime","hTask"})
      public static class Ddeml.MONERRSTRUCT
      extends Structure

  Contains information about the current Dynamic Data Exchange (DDE) error. A DDE monitoring application can use this structure to monitor errors returned by DDE Management Library functions.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cb` The structure's size, in bytes.
    `int` | `dwTime` The Windows time at which the error occurred.
    `WinNT.HANDLE` | `hTask` A handle to the task (application instance) that called the DDE function that caused the error.
    `int` | `wLastError` The current error.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MONERRSTRUCT()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cb

          public int cb

      The structure's size, in bytes.

    - #### wLastError

          public int wLastError

      The current error.

    - #### dwTime

          public int dwTime

      The Windows time at which the error occurred. Windows time is the number of milliseconds that have elapsed since the system was booted.

    - #### hTask

          public WinNT.HANDLE hTask

      A handle to the task (application instance) that called the DDE function that caused the error.

  - ### Constructor Detail

    - #### MONERRSTRUCT

          public MONERRSTRUCT()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.